Loading...
Searching...
No Matches
Gesture Classes
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices

## Topics

| Gesture Regions

## Data Structures

class | GeisGestureClass
| A defined gesture classifier. More...

## Gesture Class Attributes

void | geis_register_class_callback (Geis geis, GeisEventCallback event_callback, void *context)
| Registers a callback to receive gesture class change notifications.
void | geis_gesture_class_ref (GeisGestureClass gesture_class)
| Increments the reference count of a gesture class object.
void | geis_gesture_class_unref (GeisGestureClass gesture_class)
| Decrements the reference count of a gesture class object.
GeisString | geis_gesture_class_name (GeisGestureClass gesture_class)
| Gets the name of the gesture class.
GeisInteger | geis_gesture_class_id (GeisGestureClass gesture_class)
| Gets the numeric identifier of the gesture class.
GeisSize | geis_gesture_class_attr_count (GeisGestureClass gesture_class)
| Gets the number of attributes of the gesture class.
GeisAttr | geis_gesture_class_attr (GeisGestureClass gesture_class, int index)
| Gets the indicated attribute of the gesture class.
#define | GEIS_CLASS_ATTRIBUTE_NAME
| The name of the gesture class.
#define | GEIS_CLASS_ATTRIBUTE_ID
| The unique integer ID of the gesture class.

## Gesture Class Event Attributes

#define | GEIS_EVENT_ATTRIBUTE_CLASS
| The event attribute containing a pointer to a GeisGestureClass.

## Detailed Description

## Macro Definition Documentation

## GEIS_CLASS_ATTRIBUTE_ID

#define GEIS_CLASS_ATTRIBUTE_ID

The unique integer ID of the gesture class.

## GEIS_CLASS_ATTRIBUTE_NAME

#define GEIS_CLASS_ATTRIBUTE_NAME

The name of the gesture class.

## GEIS_EVENT_ATTRIBUTE_CLASS

#define GEIS_EVENT_ATTRIBUTE_CLASS

The event attribute containing a pointer to a GeisGestureClass.

The GEIS_EVENT_CLASS_AVAILABLE and GEIS_EVENT_CLASS_UNAVAILABLE events should have a GEIS_ATTR_TYPE_POINTER attribute with this name. It should contain a pointer to a GeisGestureClass describing the gesture class made available or unavailable.

## Function Documentation

## geis_gesture_class_attr()

GeisAttr geis_gesture_class_attr | ( | GeisGestureClass | gesture_class,
|  | int | index )

Gets the indicated attribute of the gesture class.

Parameters

  [in] | gesture_class | The gesture class object.
  [in] | index | The index of the attribute to retrieve.

## geis_gesture_class_attr_count()

GeisSize geis_gesture_class_attr_count | ( | GeisGestureClass | gesture_class | ) |

Gets the number of attributes of the gesture class.

Parameters

  [in] | gesture_class | The gesture class object.

## geis_gesture_class_id()

GeisInteger geis_gesture_class_id | ( | GeisGestureClass | gesture_class | ) |

Gets the numeric identifier of the gesture class.

Parameters

  [in] | gesture_class | The gesture class object.

## geis_gesture_class_name()

GeisString geis_gesture_class_name | ( | GeisGestureClass | gesture_class | ) |

Gets the name of the gesture class.

Parameters

  [in] | gesture_class | The gesture class object.

## geis_gesture_class_ref()

void geis_gesture_class_ref | ( | GeisGestureClass | gesture_class | ) |

Increments the reference count of a gesture class object.

Parameters

  [in] | gesture_class | The gesture class object.

## geis_gesture_class_unref()

void geis_gesture_class_unref | ( | GeisGestureClass | gesture_class | ) |

Decrements the reference count of a gesture class object.

Parameters

  [in] | gesture_class | The gesture class object.

The reference count of the object is decremented and, if it reaches zero, the object is destroyed.

## geis_register_class_callback()

void geis_register_class_callback | ( | Geis | geis,
|  | GeisEventCallback | event_callback,
|  | void * | context )

Registers a callback to receive gesture class change notifications.

Parameters

  [in] | geis | The API instance.
  [in] | event_callback | The callback function.
  [in] | context | Contextual data to be passed through to the callback.

This function is used to register a function to be executed when a change to the available gesture class definitions has occurred. If no function is registered, the default action is to deliver gesture class events through the main event mechanism.

Passing a value of GEIS_DEFAULT_EVENT_CALLBACK as the `event-callback` will reset the callback function to the default action.

The `event_callback` function will be executed in the same thread context as geis_dispatch_events().